Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1966344 - rust-cranelift-codegen does not support x86 - 32bits
Summary: rust-cranelift-codegen does not support x86 - 32bits
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: rust-cranelift-codegen
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Olivier Lemasle
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FE-ExcludeArch-x86, F-ExcludeArch-x86
TreeView+ depends on / blocked
 
Reported: 2021-05-31 21:54 UTC by Olivier Lemasle
Modified: 2022-08-09 21:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-08-09 21:38:42 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github bytecodealliance wasmtime issues 1980 0 None open Support x86 in new instruction selection framework 2021-05-31 21:54:07 UTC

Description Olivier Lemasle 2021-05-31 21:54:08 UTC
Cranelift does not support x86 32bits.

Comment 1 Ben Cotton 2021-08-10 13:05:07 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 2 Fabio Valentini 2022-08-09 21:38:42 UTC
cranelift-codegen ended up being unused and has been retired from Fedora 37+ due to problems in getting the entire wasmtime stack packaged.


Note You need to log in before you can comment on or make changes to this bug.